org.apache.tomcat.websocket

## Class WsContainerProvider

- java.lang.Object
- - javax.websocket.ContainerProvider
  - - org.apache.tomcat.websocket.WsContainerProvider

    public class WsContainerProvider
    extends ContainerProvider

### Constructor Summary

Constructors
Constructor and Description
`WsContainerProvider()`

### Method Summary

Methods
`protected WebSocketContainer` `getContainer()`

### Methods inherited from class javax.websocket.ContainerProvider

`getWebSocketContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WsContainerProvider

    public WsContainerProvider()

### Method Detail

#### getContainer

    protected WebSocketContainer getContainer()

Specified by:
  `getContainer` in class `ContainerProvider`